import { GasUtilities } from './GasUtilities';
/**
 * Google Apps Script の Utilities を使用するためのラッパークラス
 */
export declare class GasUtilitiesImpl implements GasUtilities {
    /**
     * 署名を作成する
     *
     * @param text 署名対象テキスト
     * @param key 秘密鍵
     * @returns 署名
     */
    computeHmacSha256Signature(text: string, key: string): number[];
    /**
     * Base64 Web Safe エンコードを行う
     *
     * @param data 対象データ
     * @returns エンコードされたデータ
     */
    base64EncodeWebSafe(data: number[] | string): string;
    /**
     * Base64 Web Safe デコードとオブジェクト化を行う
     *
     * @param data 対象データ
     * @returns オブジェクト
     */
    base64DecodeWebSafeAndToObject(data: string): any;
    /**
     * Sha512のハッシュ値を取得する
     *
     * @param data 対象データ
     * @returns Sha512のハッシュ値
     */
    sha512(data: string): number[];
    /**
     * Base64 エンコードを行う
     *
     * @param data 対象データ
     * @returns エンコードされたデータ
     */
    base64Encode(data: number[]): string;
}
//# sourceMappingURL=GasUtilitiesImpl.d.ts.map